fatal error: Eigen/Dense: No such file or directory

I have installed libeigen3-dev in order to compile programs using Eigen 3. when I include a file, such as Eigen/Dense I get this error when I try to run g++: [email protected]:~/Documents/prog$...

Install pip in docker

I'm not able to install pip in Docker. Here's my Dockerfile: FROM ubuntu:14.04 # Install dependencies RUN apt-get update -y RUN apt-get install -y git curl apache2 php5 libapache2-mod-php5...

Fail to install gcc-4.9 in ubuntu17.04

While trying to build llvm 3.4 from source on Ubuntu 17.04, I have encountered some problems related to gcc 6.3 (described here), so I want to use gcc-4.9. However, when I run from terminal: sudo...

Why does it take ages to install Pandas on Alpine Linux

I've noticed that installing Pandas and Numpy (it's dependency) in a Docker container using the base OS Alpine vs. CentOS or Debian takes much longer. I created a little test below to demonstrate...

How to install pyarrow on an Alpine Docker image?

I am trying to install pyarrow using pip in my alpine docker image, but pip is unable to find the package. I'm using the following Dockerfile: FROM python:3.6-alpine3.7 RUN apk add --no-cache...

Alpine Linux can't install lapack-dev on python:3.5-alpine3.4

I'm using docker python:3.5-alpine3.4 image and trying to install lapack-dev but it keeps failing. It is complaining that it can't find libgfortran.so.5. However, I've tried installing libgfortran...

pip search finds tensorflow, but pip install does not

I am trying to build a Django app that would use Keras models to make recommendations. Right now I'm trying to use one custom container that would hold both Django and Keras. Here's the Dockerfile...

python install zbar error: Setup script exited with error: command 'gcc' failed with exit status 1

enviornment: pyenv versions system 2.7.13 * 3.4.3 (set by /home/foo/.pyenv/version) 3.4.3/envs/venv343 venv343 easy_install zbar while encounter the following errors: Searching for...

Docker build php on alpine image with curl support failed. How I can solve it?

I try to install curl support to php on a php:7-fpm-alpine image. Therefore I utilize the following Dockerfile: FROM php:7-fpm-alpine RUN apk add --update libzip-dev libcurl &&\ ...

Installing gcc on alpine linux (BAD archive)

I get the error sometimes, not always. Why does this happen? If I run it again, it will be alright. Step 3/14 : RUN apk add --no-cache git gcc mariadb-dev musl-dev linux-headers ---> Running in...

Error during Preparing Wheel Metadata when installing Scipy on Alpine Docker

I'm new to Docker, and have been trying to wrap a python script in a container, but I'm getting an error during the installation of scipy 0.17.0 (as a dependency for scikit-learn) on my docked...

Missing required packages in Ubuntu 18.04 pcc64el

starting from IBM's PowerAI TensorFlow docker container I try building a singularity container with additional packages on my Power 9 (ppc64el plattform). Using apt to install packages I get a lot...

Alternate Libraries for libsm6 libxext6 libxrender1 in alpine

I'm trying to deploy my flask application and decided to package it with docker. My Docker file: FROM python:3.6.8-alpine3.8 ENV PYTHONUNBUFFERED 1 RUN apk update \ && apk add --virtual...

Running pip install requirements.txt fails in docker build

I am trying to create a docker image for machine learning model but it fails if i try to install from requirements.txt but if I run below docker file then it runs successfully The following is my...

Go libstd.so with errors on Alpine

I'm trying to build a Go executable with shared libraries. In Ubuntu, which uses GNU libc, it works. But when I try to use the same procedure on Alpine (Docker image golang:alpine, or...

How do I setup rust toolchain for orjson python library build in an alpine docker image?

I have been struggling with this and I need some help. I am trying to create a docker image of my python app. My App uses orjson, the fast JSON library for python. Parts of this library is...

Selected processor does not support `dmb ish' in ARM mode

I am building an embedded linux distro on a Beaglebone Black (AM335x chip Cortex-A8 Arm-v7 Instruction set) using crosstool-NG, U-Boot, Kernel (5.5.5) and buildroot. When compiling the kernel I am...

Failing to upgrade parrot os 4.7

$ sudo apt-get dist-upgrade [sudo] password for shepie: Reading package lists… Done Building dependency tree Reading state information… Done Calculating upgrade… Error! Some packages could...

Issue of "Compiler lacks asm-goto support" with CentOS8+gcc 8.3.1

I have installed CentOS 8.2.2004 minimal onto my PC, using a USB stick. This PC which has no Internet connection, only has a TP-LINK TL-WN725N USB WiFi dongle , so I have to install linux driver...

E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages. when installing python-dev

i have a problem when installing python-dev in kali linux with this code sudo apt-get install python-dev but it comes with this message Reading package lists... Done Building dependency tree ...

ERROR: unsatisfiable constraints: while updating package in alpine docker file

In the docker file, i need to upgrade version binutils to (2.32-r0)(for twistlock issues ),instead of (2.30-r2) it is coming from the build-base package. How to achieve that ? "Step 1/22 : FROM...

Error when building image from requirement.txt in docker

I am trying to build a Docker application that uses Python's gensim library, version 3.8.3, which is being installed via pip from a requirements.txt file. However, Docker seems to have trouble...

LibGCC compilation Failed with an error: cannot compute suffix of object files: cannot compile

When I tried to install gcc cross-compiler with following instructions: sudo apt update sudo apt -y install curl build-essential m4 libgmp3-dev libmpc-dev libmpfr-dev # install gmp 6.2.0 curl...

Python3-pip installation error | The following packages have unmet dependencies:

apt install python3-pip Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested...

Installing php-dbase extension in Dockerfile

I'm trying to set up my development environment using Docker. This is the first time using docker for me. For my project, I need the php-dbase extension installed in my container. I have a...

apt get update is posting an error while using debian source

my dockerfile is as below: FROM wordpress:5.5.1-php7.4 RUN echo 'deb http://ftp.us.debian.org/debian sid main' >> /etc/apt/sources.list RUN apt-get update && \ apt-get install -y wget sudo &&...

Failed to run client service of API Platform 2.5.7 in Docker with dev:ssl error (conflict with current master)

I started off all fresh with downloading and unpacking the latest release of API Platform 2.5.7, a fresh Docker for Mac install on my Macbook Pro with a freshly installed Catalina and keep running...

How to install libstdc++6 debug symbols on Ubuntu 20.04?

For example, take the following minimal example: #include <cstdio> #include <stdexcept> int main(int argc, char* argv[]){ #ifdef __GLIBCPP__ std::printf("GLIBCPP:...

Unable to install perl modules via cpanm in conda environments

I'm trying to install perl modules via cpanm inside conda environment with perl installed. The conda environment was build with following definition: name: perl_env channels: - bioconda -...

docker python flask gets " Do you want to continue" then "executor failed"

Trying a simple python flask web app in docker 20.10.2, build 2291f61. Doing the: docker build -t hello-world . starts out ok (please see below), but ends with: #6 2.866 After this operation, 305...